Support » Plugin: Mailjet Email Newsletter Marketing » plug-in won’t activate

  • Resolved imjeannette

    (@imjeannette)


    Hello,

    I too am having a problem activating this plugin.

    I have tried deleting the plug-in and re-installing it again. Got the same error message all three times.

    error message:
    Fatal error: Can't use function return value in write context in /home/m60018143/public_html/wp-content/plugins/mailjet-for-wordpress/src/includes/MailjetSettings.php on line 99

    My System
    WordPress 5.0.3 running X theme
    PHP version: 5.6.30

    Help? Suggestions?

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Mailjet

    (@mailjet)

    Hi, sorry for the inconvenience. We are checking and will let you know as soon as we have some details.

    Plugin Author Mailjet

    (@mailjet)

    This problem is usually connected to PHP 5.4 or older and shouldn’t manifest on PHP 5.6 as in your case. Please can you make another verification of the PHP version that your WordPress is running. Some hostings run different PHP version in different folder or subdomains.

    You can do that using a plugin like this one for example: https://wordpress.org/plugins/display-php-version/

    We will modify the plugin to avoid this problem in a future release, but in the meantime the only option remains to use a newer PHP.

    Hi !
    I’va go exactly the same message this morning…
    I’m Rrnning PHP version: 5.4.45

    And, yes, after a migration to PHP 7.3, the activation work !
    Thanks !

    Plugin Author Mailjet

    (@mailjet)

    We’ve added a check for supported PHP version during activation so instead of errors now you’ll be able to see the current PHP version of your WP instance and a message in case you need to upgrade to a newer PHP version.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.